Subject: bug#74240: closed (Re: Upgrading Guix packages website in Guix infrastructure)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Nov 2024 09:12:03 +0000

Your bug report

#74240: [PATCH maintenance] hydra: services: guix-packages-website: Update to 0.0.927b073740.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74240: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74240
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Upgrading Guix packages website in Guix infrastructure
From: Christopher Baines <[email-masked]>
To: Luis Felipe <[email-masked]>
Cc: guix-devel <[email-masked]>, Ludovic Courtès <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 11 Nov 2024 09:11:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Luis Felipe <[email-masked]> writes:

> On 4/11/24 22:12, Ludovic Courtès wrote:
>> Hello,
>>
>> Luis Felipe <[email-masked]> skribis:
>>
>>> Hi guix,
>>>
>>> The software behind https://packages.guix.gnu.org/, Guix Packages
>>> Website,¹ has been updated with the following changes:
>> Yay!
>>
>> Could you send a patch against this:
>>
>>    https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/hydra/modules/sysadmin/services.scm#n1172
>>
>> ?  (You’re best positioned to know whether the snippet there is now
>> obsolete.)
>>
>> You should be able to check in ‘guix system vm’ whether this works as
>> expected, either with ‘bayfront.scm’ (but you’ll need to comment out
>> things like networking setup), or maybe with something like
>> ‘bare-bones.tmpl’ extended with the guix-packages-website service.
>
> Just to let you all know that I made the changes and checked in a VM
> (with a custom OS config) that the service runs correctly.
>
>  * herd status reported that the service was up and running.
>  * I could access the website from Emacs Web Browser (non graphical
>    client) and it worked correctly: index page shows random packages, I
>    can search for packages, package and product pages load correctly
>    and external links take to expected locations.
>  * I also checked the same pages from Qutebrowser (graphical client).
>
>
>> Once we have that, one of us sysadmins can redeploy it.
>
> I sent the patch to https://issues.guix.gnu.org/74240.

I've pushed this now and the site looks to have updated.

Thanks,

Chris

Subject: [PATCH maintenance] hydra: services: guix-packages-website: Update to 0.0.927b073740.
From: [email-masked]
To: [email-masked], [email-masked]
Cc: Luis Felipe <[email-masked]>
Date: Thu, 7 Nov 2024 10:02:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Luis Felipe <[email-masked]>

* hydra/modules/sysadmin/services.scm (%guix-packages-website):
Update to 0.0.927b073740c9a12a1f414ce9aee6008add4ef310.
[snippet]: Remove it.  Artanis' config has been corrected upstream and
MANUAL_URL doesn't prevent (gweb urls) from loading.
---
 hydra/modules/sysadmin/services.scm | 19 ++-----------------
 1 file changed, 2 insertions(+), 17 deletions(-)

diff --git a/hydra/modules/sysadmin/services.scm b/hydra/modules/sysadmin/services.scm
index fe30d4e..c501037 100644
--- a/hydra/modules/sysadmin/services.scm
+++ b/hydra/modules/sysadmin/services.scm
@@ -1170,7 +1170,7 @@ to a selected directory.")
 ;;;
 
 (define %guix-packages-website
-  (let* ((commit "72817057c0ba86663ae0a29bde13c15b686600d0")
+  (let* ((commit "927b073740c9a12a1f414ce9aee6008add4ef310")
          (version (git-version "0" "0" commit)))
     (origin
       (method git-fetch)
@@ -1180,22 +1180,7 @@ to a selected directory.")
       (file-name (git-file-name "guix-packages-website" version))
       (sha256
        (base32
-        "0jm0aipdw97sb1lwzczgwzacv9jgyippgq79na87647lqapq8fcx"))
-      (modules '((guix build utils)))
-      (snippet
-       '(begin
-          (use-modules (guix build utils))
-
-          ;; TODO This seemed to be needed to avoid `path` being undefined
-          ;; when Guile tries to load urls.scm
-          (substitute* "gweb/urls.scm"
-            (("define MANUAL_URL .*$")
-             "define MANUAL_URL \"https://www.gnu.org/software/guix/manual\")\n"))
-
-          ;; Work around <https://issues.guix.gnu.org/71138>.
-          (substitute* "conf/artanis.conf"
-            (("^cookie\\.expire.*" line)
-             (string-append "# " line "\n"))))))))
+        "0zl5dkz2cipfqhy95y5v3l5l0q1zak7f900q97zvdx9sz8k30wbx")))))
 
 (define-record-type* <guix-packages-website-configuration>
   guix-packages-website-configuration make-guix-packages-website-configuration

base-commit: ef18d820bbdfc257793824229e0ae22032d4986e
-- 
2.46.0